# GPG
export GPG_TTY=$TTY

# History
mkdir -p "$HOME/.cache/zsh" &>/dev/null
export SAVEHIST=1048576
export HISTSIZE=1048576
export HISTFILE="$HOME/.cache/zsh/history"

# Evalcache
export ZSH_EVALCACHE_DIR="$HOME/.cache/evalcache"

# Spacevim
export SPACEVIMDIR="$HOME/.config/spacevim/"

# Stuff
export FZF_MARKS_FILE="$HOME/.config/fzfmarks"
export MANPAGER="sh -c 'col -bx | bat -l man -p'"
export LESSHISTFILE="-"
export OMZ="$Z4H/ohmyzsh/ohmyzsh"
export OMZP="$OMZ/plugins"
export OMZL="$OMZ/lib"

# Sheldon
export SHELDON_CONFIG_DIR="$HOME/.config/sheldon"
export SHELDON_CONFIG_FILE="$SHELDON_CONFIG_DIR/plugins.toml"
export SHELDON_LOCK_FILE="$SHELDON_CONFIG_DIR/plugins.lock"
export SHELDON_DATA_DIR="$HOME/.local/sheldon"
export SHELDON_CLONE_DIR="$SHELDON_DATA_DIR/repos"
export SHELDON_DOWNLOAD_DIR="$SHELDON_DATA_DIR/downloads"

# Starship
export STARSHIP_CONFIG="$HOME/.config/starship/config.toml"
